# Стиль описания коммитов

Для приведения истории изменений в более читаемый вид, буду стараться внедрять стиль описания коммитов от команды [KLOKTUN](https://github.com/kloktun/commit-style-guide)

## Список префиксов

`feat`: Используется для коммитов, связанных с __добавлением__ новой функциональности или новых возможностей в проект.

`fix`: Используется для коммитов, связанных с __исправлением__ ошибок или проблем в проекте.

`chore`: Используется для коммитов, связанных с __обычными рутинными задачами__, такими как обновление зависимостей, настройка среды разработки, изменение конфигурации и т.д.

`refactor`: Используется для коммитов, связанных с __переработкой кода__ без исправления ошибок или добавления новой функциональности. Например, изменение структуры кода, оптимизация алгоритма, переименование переменных и т.п.

`docs`: Используется для коммитов, связанных с __изменениями в документации__ проекта, например, обновление README-файла, добавление документации к коду, комментариев и т.д.

`style`: Используется для коммитов, связанных с __изменением внешнего вида кода__ без влияния на его работу, например, форматирование кода с помощью *Prettier*, исправление опечаток и т.д.

`move`: Используется для коммитов, связанных с __перемещением__ файлов в другую папку, например, для объединения блоков страницы, если они разбиты на отдельных файлы.

`delete`: Используется для коммитов, связанных с __удалением__ неиспользуемых файлов. 

`test`: Используется для коммитов, связанных с добавлением, изменением или исправлением __тестов__ в проекте.

## Примеры
`feat(Ecosystem): new ecosystem sections` ― В этом примере мы видим, что была добавлена новая функциональность в раздел *Ecosystem*. Конкретно, были внесены изменения, связанные с созданием новых секций в разделе *Ecosystem*.

`chore: replace jpg with webp format` ― В этом примере мы видим, что старый формат `jpg` был заменён новым `webp`. Каких-то значительных изменений внесено не было.

`docs(README): update installation instructions` ― В этом примере мы видим, что были внесены изменения в документацию проекта, в частности, были обновлены инструкции по установке в файле README.